'use strict';

const getOptions = require('./chunks/91ba0f1c.cjs');
require('fs');
require('pathe');
require('mri');
require('rollup');
require('rollup-plugin-dts');
require('lodash.merge');
require('fs/promises');
require('@rollup/plugin-alias');
require('@rollup/plugin-commonjs');
require('@rollup/plugin-json');
require('@rollup/plugin-node-resolve');
require('@rollup/plugin-replace');
require('@rollup/plugin-run');
require('rollup-plugin-esbuild');
require('@rollup/pluginutils');
require('@swc/core');
require('rollup-plugin-typescript2');
require('jiti');
require('module');

async function main() {
  const config = getOptions.loadConfig(process.cwd());
  const options = await getOptions.getOptions(process.argv, config);
  if (options.command === "build") {
    await getOptions.build(options);
  } else if (options.command === "watch") {
    await getOptions.watch(options);
  }
}
main().catch((err) => {
  console.error("An error has been detected while running bauen");
  console.error(err);
  process.exit(1);
});
