'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const getOptions = require('./chunks/91ba0f1c.cjs');
const merge = require('lodash.merge');
require('rollup');
require('rollup-plugin-dts');
require('pathe');
require('fs/promises');
require('@rollup/plugin-alias');
require('@rollup/plugin-commonjs');
require('@rollup/plugin-json');
require('@rollup/plugin-node-resolve');
require('@rollup/plugin-replace');
require('@rollup/plugin-run');
require('rollup-plugin-esbuild');
require('@rollup/pluginutils');
require('@swc/core');
require('fs');
require('rollup-plugin-typescript2');
require('jiti');
require('module');
require('mri');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e["default"] : e; }

const merge__default = /*#__PURE__*/_interopDefaultLegacy(merge);

const defineConfig = (config) => config;

function mergeConfig(config, ...configs) {
  return merge__default(config, ...configs);
}

exports.build = getOptions.build;
exports.createBuilder = getOptions.createBuilder;
exports.createWatcher = getOptions.createWatcher;
exports.defineOutput = getOptions.defineOutput;
exports.esbuild = getOptions.esbuild;
exports.getCliOptions = getOptions.getCliOptions;
exports.getDefaultOptions = getOptions.getDefaultOptions;
exports.getOptions = getOptions.getOptions;
exports.getRollupOptions = getOptions.getRollupOptions;
exports.getRollupOutput = getOptions.getRollupOutput;
exports.getRollupOutputs = getOptions.getRollupOutputs;
exports.getRollupPlugins = getOptions.getRollupPlugins;
exports.loadConfig = getOptions.loadConfig;
exports.loadPackage = getOptions.loadPackage;
exports.loadTsConfig = getOptions.loadTsConfig;
exports.raw = getOptions.raw;
exports.registerOutput = getOptions.registerOutput;
exports.remove = getOptions.remove;
exports.searchConfig = getOptions.searchConfig;
exports.swc = getOptions.swc;
exports.typescript = getOptions.typescript;
exports.watch = getOptions.watch;
exports.defineConfig = defineConfig;
exports.mergeConfig = mergeConfig;
